#define ITEM_MEDKIT 0
#define ITEM_FLAG 1
#define ITEM_TEAMSPAWN 2
#define ITEM_DOMINATION 3
#define ITEM_KICKERPAD 4
#define ITEM_WEAPPACK 5

extern char always1;

extern int medKitPickup;
extern int medKitRespawn;
extern int flagPickup;
extern int flagRespawn;
extern int itemBlowup;
extern int itemExplosion;
extern int padHit;

class jumpPad : public interact
{
public:
   void collision(worm *player);
   void think();
};

class mediKit : public interact
{
public:
   void blow(worm *player);
   void collision(worm *player);
   void draw(gameViewport *where);
   void think();
};

class weapPack : public interact
{
   void throwWeap(worm *player);
public:
   void blow(worm *player);
   void collision(worm *player);
   void draw(gameViewport *where);
   void think();
};

class ctfFlag : public interact
{
public:
   void collision(worm *player);
   void draw(gameViewport *where);
   void ownerDead(worm *killer);
   void think();
};

class domFlag : public interact
{
public:
   void collision(worm *player);
   void draw(gameViewport *where);
   void think();
};

void ItemPhysics();
void ItemsThink();

